<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class: { 'jee-hidden': disableSubmit } }"
    @cancel="handleCancel"
    cancelText="关闭"
  >
    <batch-select-room-type-form
      ref="realForm"
      @ok="submitCallback"
      :disabled="disableSubmit"
      :orderInfo="orderInfo"
      :batchRoomsTypeList="batchRoomsTypeList"
    ></batch-select-room-type-form>
  </j-modal>
</template>

<script>
import BatchSelectRoomTypeForm from "./EditBatchSelectRoomTypeForm";
export default {
  name: "BatchSelectRoomTypeFormModal",
  components: {
    BatchSelectRoomTypeForm,
  },
  props: {
    orderInfo: {
      type: Object,
      default: {},
    },
    batchRoomsTypeList: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      title: "",
      width: 900,
      visible: false,
      disableSubmit: false,
    };
  },
  methods: {
    add(row) {
      this.visible = true;
      this.$nextTick(() => {
        this.$refs.realForm.add(row);
      });
    },
    edit(record) {
      this.visible = true;
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      });
    },
    close() {
      this.$emit("close");
      this.visible = false;
    },
    handleOk() {
      this.$refs.realForm.submitForm();
    },
    submitCallback(e) {
      console.log("e", e);
      this.$emit("ok", e);
      this.visible = false;
    },
    handleCancel() {
      this.close();
    },
  },
};
</script>